# QueryResult Class Reference
[Dynamic query builder]

Holder for query's execution information. More...

Inheritance diagram for QueryResult:
[legend]

List of all members.

## Public Member Functions

| getId ()
| setId ($id)
| getQuery ()
| setQuery (SelectQuery $query)
| getList ()
| setList ($list)
| getCount ()
| setCount ($count)
| getAffected ()
| setAffected ($affected)

## Static Public Member Functions

static | create ()

## Private Attributes

| $list = array()
| $count = 0
| $affected = 0
| $query = null

## Detailed Description

Holder for query's execution information.

Definition at line 17 of file QueryResult.class.php.

## Member Function Documentation

static QueryResult::create | ( |  | ) | `[static]`

Returns:
  QueryResult

Definition at line 29 of file QueryResult.class.php.

Referenced by CommonDaoWorker::getQueryResult().

QueryResult::getAffected | ( |  | ) |

Definition at line 92 of file QueryResult.class.php.

QueryResult::getCount | ( |  | ) |

Definition at line 77 of file QueryResult.class.php.

QueryResult::getId | ( |  | ) |

Implements Identifiable.

Definition at line 34 of file QueryResult.class.php.

QueryResult::getList | ( |  | ) |

Definition at line 62 of file QueryResult.class.php.

QueryResult::getQuery | ( |  | ) |

Returns:
  SelectQuery

Definition at line 47 of file QueryResult.class.php.

QueryResult::setAffected | ( | $ | affected | ) |

Returns:
  QueryResult

Definition at line 100 of file QueryResult.class.php.

References $affected.

QueryResult::setCount | ( | $ | count | ) |

Returns:
  QueryResult

Definition at line 85 of file QueryResult.class.php.

References $count.

QueryResult::setId | ( | $ | id | ) |

Implements Identifiable.

Definition at line 39 of file QueryResult.class.php.

QueryResult::setList | ( | $ | list | ) |

Returns:
  QueryResult

Definition at line 70 of file QueryResult.class.php.

References $list.

QueryResult::setQuery | ( | SelectQuery $ | query | ) |

Returns:
  QueryResult

Definition at line 55 of file QueryResult.class.php.

## Member Data Documentation

QueryResult::$affected = 0`[private]`

Definition at line 22 of file QueryResult.class.php.

Referenced by setAffected().

QueryResult::$count = 0`[private]`

Definition at line 21 of file QueryResult.class.php.

Referenced by setCount().

QueryResult::$list = array()`[private]`

Definition at line 19 of file QueryResult.class.php.

Referenced by setList().

QueryResult::$query = null`[private]`

Definition at line 24 of file QueryResult.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/QueryResult.class.php